Bug 631946 (CVE-2010-1814) - CVE-2010-1814 webkit: memory corruption flaw when handling form menus
Summary: CVE-2010-1814 webkit: memory corruption flaw when handling form menus
Status: CLOSED ERRATA
Alias: CVE-2010-1814
Product: Security Response
Classification: Other
Component: vulnerability   
(Show other bugs)
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: public=20100908,reported=20100827,sou...
Keywords: Security
Depends On: 640382 640385 640386
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-09-08 18:08 UTC by Vincent Danen
Modified: 2012-03-07 07:02 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-03-07 07:02:10 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2011:0177 normal SHIPPED_LIVE Moderate: webkitgtk security update 2011-01-25 17:07:15 UTC

Description Vincent Danen 2010-09-08 18:08:03 UTC
A memory corruption issue exists in WebKit's handling of form menus. Visiting a
maliciously crafted website may lead to an unexpected application termination
or arbitrary code execution. This issue is fixed through improved handling of
form menus. Credit to Csaba Osztrogonac of University of Szeged for reporting
this issue.

References:

https://bugs.webkit.org/show_bug.cgi?id=40828
http://trac.webkit.org/changeset/61709
http://support.apple.com/kb/HT4334

Comment 1 Vincent Danen 2010-10-05 16:25:21 UTC
This issue has been corrected in WebKitGTK 1.2.5.

Comment 2 Vincent Danen 2010-10-05 17:17:59 UTC
Created webkitgtk tracking bugs for this issue

Affects: fedora-all [bug 640382]

Comment 4 errata-xmlrpc 2011-01-25 17:07:38 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6

Via RHSA-2011:0177 https://rhn.redhat.com/errata/RHSA-2011-0177.html


Note You need to log in before you can comment on or make changes to this bug.